\name{greenred.colors}
\alias{greenred.colors}
\title{Green to red Color Gradiant}
\description{
  Generate colors for classical green-red plots like hierarchical cluster plots.
}
\usage{
greenred.colors(n = 1000)
}
\arguments{
  \item{n}{number of shades to be generated in the gradiant.}
}
\value{
  Character vector with color codes compatible to image and other graphics commands.
}
\author{Claudio Lottaz}
\note{Taken from clusterplot package by Mark Wilkinson.}
\seealso{\code{\link{colors}}}
\examples{
   image(matrix(1:100,ncol=10), col=greenred.colors())
}
\keyword{hplot}
