\name{wimage.cpd}
\alias{wimage.cpd}
\alias{wimage.resids}
\title{Draw an Image of Residuals}
\description{
  Residuals are shown color coded according to their location on the
  chip in a two dimensional layout.
}
\usage{
wimage.cpd(plmset, which, filename = NULL, ...)
wimage.resids(sampleName, residuals, abo, pm.index, filename = NULLm, ...)
}
\arguments{
  \item{plmset}{affyPLM-object from which residuals are extracted.}
  \item{which}{which sample to choose, an integer number.}
  \item{sampleName}{the name of the samle to be shown.}
  \item{residuals}{residuals as from median polish as a vector of entries, one per probe.}
  \item{abo}{affyBatch object used to deduce chip properties.}
  \item{pm.index}{indeces for perfect match probes.}
  \item{filename}{writes a png-bitmap if this parameter is specified.}
  \item{\dots}{further arguments passed to 'bitmap.}
}
\details{
  In this plot, you can see local artefacts which affected neighboring
  probes. A chip of good quality has no striking marks or taints.
}
\author{Stefan Bentink}
\seealso{\code{\link{bitmap}}}
\keyword{hplot}
