### find weights for function "reorder"  
optimTree.dendrogram <- function(hclust.obj){

  n <- length(hclust.obj$labels)
  t <- c(1,2)
  
  for (i in 3:n){
    t <- c(t,sum(t)+1)
  }
  
  x <- sort(hclust.obj$order,ind=TRUE)
  t <- t[x$ix]

  hc <- as.dendrogram(hclust.obj)
  hc <- reorder(hc,t)

  return(hc)
}
