\name{getCelNames}
\alias{getCelNames}
\title{Get CEL-File Names}
\description{
  Collect names of CEL-files from a tab delimited table.
}
\usage{
getCelNames(cel_file_list, which = 1)
}
\arguments{
  \item{cel_file_list}{name of the file containg a tab-delimited table}
  \item{which}{column number where the names of cel-files are found}
}
\details{
  Blank lines and comments beginning with hash sign are removed.
}
\value{
  A vector of strings
}
\author{Claudio Lottaz}
}
\keyword{internal}
