\name{getPubmedEntry}
\alias{getPubmedEntry}
\title{Fetch a Pubmed Entry into a R List}
\description{
  This function fetches citation data from Pubmed.
}
\usage{
getPubmedEntry(pmid)
}
\arguments{
  \item{pmid}{the pubmed ID of the citation to load.}
}
\details{
  \code{getPubmedEntry} parses \code{pmid2bibtex} output to load
  citation information into an R list.
}
\value{
  Returns a named list holding one element for each citation property found 
  by \code{pmid2bibtex}. 
}
\author{Claudio Lotta}
\examples{
getPubmedEntry("15677704")
}
\keyword{datagen}

