\name{randomDLDscores}
\alias{randomDLDscores}
\title{ ~~function to do ... ~~ }
\description{
  Generates random splits of microarray expression data and computes corresponding DLD 
  scores. 
}
\usage{
randomDLDscores(data, nsplits = 100, ngenes = 75, ignore.genes = 5)
}
\arguments{
  \item{data}{matrix of expression levels, one column per sample, one row per gene.}
  \item{nsplits}{defines how many random splits to be computed}
  \item{ngenes}{how many genes to take into account, when computing DLD scores.}
  \item{ignore.genes}{how many of the best separating genes to ignore.}
}
\value{
  Vector of random DLD scores.
}
\author{Claudio Lottaz}
\keyword{datagen}
